
#pragma once

#include <filesystem>


#ifndef PROJECT_ROOT_DIR
#define PROJECT_ROOT_DIR "."
#endif

inline std::filesystem::path target_file(std::string_view filename)
{
    if (filename.empty())
        return {};

    return std::filesystem::path(PROJECT_ROOT_DIR) / "output_files" / filename;
}

inline std::filesystem::path resource_path()
{
    return std::filesystem::path(PROJECT_ROOT_DIR) / "res";
}

